Bug 2418 - [UPDATE REQUESR] x11-driver-video-nouveau-1.0.9-1
: [UPDATE REQUESR] x11-driver-video-nouveau-1.0.9-1
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 23:50 MSD by Aleksandr Kazantcev
Modified: 2013-08-06 16:31 MSD (History)
3 users (show)

See Also:
RPM Package: x11-driver-video-nouveau
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-07-30 23:50:30 MSD
New version
Comment 1 Aleksandr Kazantcev 2013-07-31 00:18:57 MSD
https://abf.rosalinux.ru/build_lists/1198440
https://abf.rosalinux.ru/build_lists/1198441

Advisory: This release adds NVF0 support along with XV speedups, and reverse optimus fixes for use with new X server:

- iplement EXA and XVideo acceleration
- drmmode: add support for multi-screen reverse optimus
- fix make distcheck.
- nouveau: fix crash when xinerama is enabled.
- xv: fix last pixel for big-endian machines in YV12 -> NV12 conversion
- xv: speed up YV12 -> NV12 conversion using SSE2 if available
- nouveau: use uppercase for chipset name
- fixup the dri2 check
- Link against libdrm
Comment 2 Postnikov Dmitry 2013-08-02 19:39:05 MSD
**********************
Extended testing report
**********************
acer aspire 5930g-844g32mi
Processor: Intel Core 2 Duo P8400 2.26 ГГц 
Video: NVIDIA GeForce 9600M GT 
Chipset: Intel PM45 Express 
Monitor: 1280*800

Nouveau driver is the only one that does not support the native resolution of the screen. All the time runs at a resolution of 1024*768. The rest (vesa, proprietary) run in 1280 * 800

When you try to set it manually with the command xrandr-d :0-s 1280x800 message appears about the inaccessibility of such permission. 

No regression. All was before. Everything else works.
Comment 3 Postnikov Dmitry 2013-08-02 19:41:08 MSD
I forgot...
We testing on x11-server-1.6.1
Comment 4 Vladimir Potapov 2013-08-03 15:45:49 MSD
x11-driver-video-nouveau-1.0.9-1-rosa2012.1
********************** Advisory *********************
Advisory: This release adds NVF0 support along with XV speedups, and reverse optimus fixes for use with new X server
*********************** Changelog *******************
- iplement EXA and XVideo acceleration
- drmmode: add support for multi-screen reverse optimus
- fix make distcheck.
- nouveau: fix crash when xinerama is enabled.
- xv: fix last pixel for big-endian machines in YV12 -> NV12 conversion
- xv: speed up YV12 -> NV12 conversion using SSE2 if available
- nouveau: use uppercase for chipset name
- fixup the dri2 check
- Link against libdrm
******************************************************
QA Verified